## ConnectedComponentsImage

ConnectedComponentsImage() returns the connected-components of the image uniquely labeled. The returned connected components image colors member defines the number of unique objects. Choose from 4 or 8-way connectivity.

You are responsible for freeing the connected components objects resources with this statement;

objects = (CCObjectInfo *) RelinquishMagickMemory(objects);

The format of the ConnectedComponentsImage method is:

    Image *ConnectedComponentsImage(const Image *image,
      const size_t connectivity,CCObjectInfo **objects,
      ExceptionInfo *exception)

A description of each parameter follows:

image
  the image.
connectivity
  how many neighbors to visit, choose from 4 or 8.
objects
  return the attributes of each unique object.
exception
  return any errors or warnings in this structure.

## IntegralImage

IntegralImage() returns the sum of values (pixel values) in the image.

The format of the IntegralImage method is:

    Image *IntegralImage(const Image *image,ExceptionInfo *exception)

A description of each parameter follows:

image
  the image.
exception
  return any errors or warnings in this structure.